import request from '@/utils/request'

// 查询目标模板列表
export function listTargetTemplate(query) {
  return request({
    url: '/mk/target/targetTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询目标模板详细
export function getTargetTemplate(id) {
  return request({
    url: '/mk/target/targetTemplate/' + id,
    method: 'get'
  })
}

// 新增目标模板
export function addTargetTemplate(data) {
  return request({
    url: '/mk/target/targetTemplate',
    method: 'post',
    data: data
  })
}

// 修改目标模板
export function updateTargetTemplate(data) {
  return request({
    url: '/mk/target/targetTemplate',
    method: 'put',
    data: data
  })
}

// 删除目标模板
export function delTargetTemplate(id) {
  return request({
    url: '/mk/target/targetTemplate/' + id,
    method: 'delete'
  })
}

// 获取动态表头数据
export function getHeaderData(id) {
  return request({
    url: '/mk/target/targetTemplate/getHeaderData/' + id,
    method: 'get'
  })
}

//校验目标模板是否被引用
export function checkQuote(id) {
  return request({
    url: '/mk/target/targetTemplate/checkQuote/' + id,
    method: 'get'
  })
}

//校验目标模板是否被引用
export function download(id) {
  return request({
    url: '/mk/target/targetTemplate/download/' + id,
    method: 'get'
  })
}